#include <conio.h>
 
__declspec( dllexport ) void watchdog(int Addr)
{
    if ( Addr >= 0xFFF ) return;
    _inp( (unsigned short)Addr );
}

__declspec( dllexport ) void watchdog_refresh(int Addr)
{
    if ( Addr >= 0xFFF ) return;
    _inp( (unsigned short)Addr );
}

__declspec( dllexport ) void disable_watchdog(int Addr)
{
    if ( Addr >= 0xFFF ) return;
    _inp( (unsigned short)(Addr+1) );
}

__declspec( dllexport ) void watchdog_control(int Addr, int Value)
{
    if ( Addr >= 0xFFF ) return;
    if ( Value != 0 ) Value = 1;
    _outp( (unsigned short)(Addr+1), (unsigned short)Value );
}
